#!/usr/bin/perl

use lib qw(/usr/lib/libDrakX);
# i18n: IMPORTANT: to get correct namespace (drakfirsttime instead of only libDrakX)
BEGIN { unshift @::textdomains, 'drakfirstboot' }
use common;
use lang;
use Locale::gettext;

# Force writing no network HTML page in UTF-8:
Locale::gettext::bind_textdomain_codeset('drakfirstboot', 'UTF8');

my $css = lang::text_direction_rtl() ? 'rtl.css' : 'style.css';

my $dir = find { -d } $ENV{TMP}, $ENV{TMPDIR}, "$ENV{HOME}/tmp";
MDK::Common::File::output_utf8("$dir/disconnected.html",
        sprintf(qq(<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="%s" lang="%s" dir="%s">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
    <base href="/usr/share/drakfirsttime/" />
    <title>%s</title>
    <link rel="stylesheet" href="/usr/share/drakfirsttime/screen.css" type="text/css" media="screen" charset="utf-8" />
</head>
<body>
<div id="outer">
    <h1 id="header"><span>%s</span></h1>
    <div id="menu">
        <div>
        </div>
    </div>
    <div id="container">
        <div id="inner">
            <p>%s</p>
            <p>%s</p>
            <hr />
            <p id="close-btn"><button onclick="javascript:window.close()" title="%s">%s</button></p>
            <br class="clear" />
        </div>
    </div>
    <div id="footer"></div>
</div>
</body></html>
),
                'en',
                'en',
                lang::text_direction_rtl() ? 'rtl' : 'ltr',
                N("Mandriva - First Time - Disconnected"),
                N("Mandriva - First Time"),
                N("Mandriva Linux is now successfuly installed on your system but no network connection has been detected for now. You will be able to register and send your  hardware configuration later using <strong>%s</strong>.", 'http://www.mandriva.com/firsttime'),
                N("Thank you for your interest in Mandriva distribution."),
                N("Close the wizard"),
                N("Close"),
        ),
    );
